GNU bug report logs - #57832
virt-manager broken due to broken GtkSource dependency

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: Rick Huijzer <ikbenrickhuyzer@HIDDEN>; dated Thu, 15 Sep 2022 14:37:03 UTC; Maintainer for guix is bug-guix@HIDDEN.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 15 Sep 2022 14:36:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 15 10:36:47 2022
Received: from localhost ([127.0.0.1]:58827 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oYpyv-00013B-AP
	for submit <at> debbugs.gnu.org; Thu, 15 Sep 2022 10:36:47 -0400
Received: from lists.gnu.org ([209.51.188.17]:44796)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ikbenrickhuyzer@HIDDEN>) id 1oYpSP-0000DE-Ln
 for submit <at> debbugs.gnu.org; Thu, 15 Sep 2022 10:03:13 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:50808)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ikbenrickhuyzer@HIDDEN>)
 id 1oYpSP-0004x0-1i
 for bug-guix@HIDDEN; Thu, 15 Sep 2022 10:03:09 -0400
Received: from mail-ej1-x62f.google.com ([2a00:1450:4864:20::62f]:38415)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <ikbenrickhuyzer@HIDDEN>)
 id 1oYpSN-0002ii-2D
 for bug-guix@HIDDEN; Thu, 15 Sep 2022 10:03:08 -0400
Received: by mail-ej1-x62f.google.com with SMTP id u9so42461956ejy.5
 for <bug-guix@HIDDEN>; Thu, 15 Sep 2022 07:03:06 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=to:subject:message-id:date:from:mime-version:from:to:cc:subject
 :date; bh=Zsv8xB6GV+RBk946oJAaQBShtho4VTtKbABZtk/IOeY=;
 b=pfGRYvwm5KMtYL1DQcxdH5EcKk7RTZdZnSmoDzm6djVaoDHAdvDF2+dPF6uI68K+M6
 +CGZlpgF/N22kagT3VvjcFj0FXx3wjwbAHwfSwDV1T3TB5HbkhWpBiT7HNsbKH0IQOGV
 WxIUdEbiYHRlvJcuj2ZJqBBOQIziYfQzgEa2fOCPlr7TYbkBIQ4nvwO0jL8nRez30G5H
 /vtUXnoHB+2tQW4Jb4+xdRbvYZ2zO1rKML8mwdsIXVLw4sXCYwW70FYZ8nQpRe8ssCxl
 Kh0Uh6h0xbu2dBd1Qphw0FenT9mms29cinRHjwcGFPjfYAntLyTMkaLH4IdNLKCXwRMG
 zktg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=to:subject:message-id:date:from:mime-version:x-gm-message-state
 :from:to:cc:subject:date;
 bh=Zsv8xB6GV+RBk946oJAaQBShtho4VTtKbABZtk/IOeY=;
 b=tzbgxotb5d7ApciNC3tdTOJ85LTGYGxoGrEg5zaS6aeIeVKmoh3UTDQQ1x8HaEJxk5
 uqYL41saWYqay+ILzgk4m0nC+TSZO1KbvjH+3Q1M20WgdkgVfdjqOH5gm8K+3lD1vOBx
 HzS1sp8MSEfg56tZP3atJLx1H4TQflde2R2FMsIACHCY7BGHsNek48xS9rzOGWqP6rZq
 rxLGjpAeCVvWZbP3HMyfHnJAWaPPO9JhfrT32qPIpnMbA7eJXOzbNYFDi0q1FwX+sFr/
 /24GoGYAQgxgYE8U/t6q98p52MiV+4NIHMARkXHC7vVQQ4j+xMqEiOlKqZB52bLU/9Rk
 iIkg==
X-Gm-Message-State: ACrzQf1EgcRy87ueXnn4feseSdumsEst4UkUriXQrGt34813tOwnvOAR
 /BQvWqkqM48T82J5AEzKcb9hHfLyFtKxjMx/gr2P1HNG
X-Google-Smtp-Source: AMsMyM4BF0/AS9BXS9u1xYoAPVqXA65fg+ezFsy7HIWy8WIHe0eBLFiqowkLKhkRfaQKKU+G5W+psaA1UP4WcQvIAg4=
X-Received: by 2002:a17:907:9603:b0:742:9ed3:3af2 with SMTP id
 gb3-20020a170907960300b007429ed33af2mr102592ejc.510.1663250584551; Thu, 15
 Sep 2022 07:03:04 -0700 (PDT)
MIME-Version: 1.0
From: Rick Huijzer <ikbenrickhuyzer@HIDDEN>
Date: Thu, 15 Sep 2022 16:02:53 +0200
Message-ID: <CAGXOz9bnoROx=O8qWLT2EUN15A2iDMdKTeThYwAe8iuCkoZnKA@HIDDEN>
Subject: virt-manager broken due to broken GtkSource dependency
To: bug-guix@HIDDEN
Content-Type: multipart/alternative; boundary="00000000000043c87605e8b7b4fd"
Received-SPF: pass client-ip=2a00:1450:4864:20::62f;
 envelope-from=ikbenrickhuyzer@HIDDEN; helo=mail-ej1-x62f.google.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 HTML_MESSAGE=0.001, RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Thu, 15 Sep 2022 10:36:40 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

--00000000000043c87605e8b7b4fd
Content-Type: text/plain; charset="UTF-8"

Hi,

Since virt-manager 3.2.0 I cannot use the package anymore. Any action in
the GUI results in the following traceback:

```console
$virt-manager --debug

[Thu, 15 Sep 2022 15:55:10 virt-manager 17690] DEBUG (cli:195) Uncaught
exception:
Traceback (most recent call last):
  File
"/gnu/store/976nmhmzaqfk4cim7q0h8x7f5z5api12-virt-manager-3.2.0/share/virt-manager/virtManager/xmleditor.py",
line 11, in <module>
    gi.require_version("GtkSource", "4")
  File
"/gnu/store/b07y8a2axslnz97pjdg7lp73xwk1gf8w-python-pygobject-3.40.1/lib/python3.9/site-packages/gi/__init__.py",
line 129, in require_version
    raise ValueError('Namespace %s not available for version %s' %
ValueError: Namespace GtkSource not available for version 4

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File
"/gnu/store/976nmhmzaqfk4cim7q0h8x7f5z5api12-virt-manager-3.2.0/share/virt-manager/virtManager/manager.py",
line 455, in new_vm
    from .createvm import vmmCreateVM
  File
"/gnu/store/976nmhmzaqfk4cim7q0h8x7f5z5api12-virt-manager-3.2.0/share/virt-manager/virtManager/createvm.py",
line 30, in <module>
    from .storagebrowse import vmmStorageBrowser
  File
"/gnu/store/976nmhmzaqfk4cim7q0h8x7f5z5api12-virt-manager-3.2.0/share/virt-manager/virtManager/storagebrowse.py",
line 11, in <module>
    from .hoststorage import vmmHostStorage
  File
"/gnu/store/976nmhmzaqfk4cim7q0h8x7f5z5api12-virt-manager-3.2.0/share/virt-manager/virtManager/hoststorage.py",
line 16, in <module>
    from .createpool import vmmCreatePool
  File
"/gnu/store/976nmhmzaqfk4cim7q0h8x7f5z5api12-virt-manager-3.2.0/share/virt-manager/virtManager/createpool.py",
line 18, in <module>
    from .xmleditor import vmmXMLEditor
  File
"/gnu/store/976nmhmzaqfk4cim7q0h8x7f5z5api12-virt-manager-3.2.0/share/virt-manager/virtManager/xmleditor.py",
line 14, in <module>
    gi.require_version("GtkSource", "3.0")
  File
"/gnu/store/b07y8a2axslnz97pjdg7lp73xwk1gf8w-python-pygobject-3.40.1/lib/python3.9/site-packages/gi/__init__.py",
line 129, in require_version
    raise ValueError('Namespace %s not available for version %s' %
ValueError: Namespace GtkSource not available for version 3.0
```

I will happily provide more information if necessary

-- 
Met vriendelijke groet,

Rick Huijzer

--00000000000043c87605e8b7b4fd
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div>Hi,</div><div><br></div><div>Since virt-manager 3.2.0=
 I cannot use the package anymore. Any action in the GUI results in the fol=
lowing traceback:</div><div><br></div><div>```console<br></div><div>$virt-m=
anager --debug<br></div><div><br></div><div>[Thu, 15 Sep 2022 15:55:10 virt=
-manager 17690] DEBUG (cli:195) Uncaught exception:<br>Traceback (most rece=
nt call last):<br>=C2=A0 File &quot;/gnu/store/976nmhmzaqfk4cim7q0h8x7f5z5a=
pi12-virt-manager-3.2.0/share/virt-manager/virtManager/xmleditor.py&quot;, =
line 11, in &lt;module&gt;<br>=C2=A0 =C2=A0 gi.require_version(&quot;GtkSou=
rce&quot;, &quot;4&quot;)<br>=C2=A0 File &quot;/gnu/store/b07y8a2axslnz97pj=
dg7lp73xwk1gf8w-python-pygobject-3.40.1/lib/python3.9/site-packages/gi/__in=
it__.py&quot;, line 129, in require_version<br>=C2=A0 =C2=A0 raise ValueErr=
or(&#39;Namespace %s not available for version %s&#39; %<br>ValueError: Nam=
espace GtkSource not available for version 4<br><br>During handling of the =
above exception, another exception occurred:<br><br>Traceback (most recent =
call last):<br>=C2=A0 File &quot;/gnu/store/976nmhmzaqfk4cim7q0h8x7f5z5api1=
2-virt-manager-3.2.0/share/virt-manager/virtManager/manager.py&quot;, line =
455, in new_vm<br>=C2=A0 =C2=A0 from .createvm import vmmCreateVM<br>=C2=A0=
 File &quot;/gnu/store/976nmhmzaqfk4cim7q0h8x7f5z5api12-virt-manager-3.2.0/=
share/virt-manager/virtManager/createvm.py&quot;, line 30, in &lt;module&gt=
;<br>=C2=A0 =C2=A0 from .storagebrowse import vmmStorageBrowser<br>=C2=A0 F=
ile &quot;/gnu/store/976nmhmzaqfk4cim7q0h8x7f5z5api12-virt-manager-3.2.0/sh=
are/virt-manager/virtManager/storagebrowse.py&quot;, line 11, in &lt;module=
&gt;<br>=C2=A0 =C2=A0 from .hoststorage import vmmHostStorage<br>=C2=A0 Fil=
e &quot;/gnu/store/976nmhmzaqfk4cim7q0h8x7f5z5api12-virt-manager-3.2.0/shar=
e/virt-manager/virtManager/hoststorage.py&quot;, line 16, in &lt;module&gt;=
<br>=C2=A0 =C2=A0 from .createpool import vmmCreatePool<br>=C2=A0 File &quo=
t;/gnu/store/976nmhmzaqfk4cim7q0h8x7f5z5api12-virt-manager-3.2.0/share/virt=
-manager/virtManager/createpool.py&quot;, line 18, in &lt;module&gt;<br>=C2=
=A0 =C2=A0 from .xmleditor import vmmXMLEditor<br>=C2=A0 File &quot;/gnu/st=
ore/976nmhmzaqfk4cim7q0h8x7f5z5api12-virt-manager-3.2.0/share/virt-manager/=
virtManager/xmleditor.py&quot;, line 14, in &lt;module&gt;<br>=C2=A0 =C2=A0=
 gi.require_version(&quot;GtkSource&quot;, &quot;3.0&quot;)<br>=C2=A0 File =
&quot;/gnu/store/b07y8a2axslnz97pjdg7lp73xwk1gf8w-python-pygobject-3.40.1/l=
ib/python3.9/site-packages/gi/__init__.py&quot;, line 129, in require_versi=
on<br>=C2=A0 =C2=A0 raise ValueError(&#39;Namespace %s not available for ve=
rsion %s&#39; %<br>ValueError: Namespace GtkSource not available for versio=
n 3.0<br></div><div>```</div><div><br></div><div>I will happily provide mor=
e information if necessary <br></div><div><br></div><div>-- <br><div dir=3D=
"ltr" data-smartmail=3D"gmail_signature"><div dir=3D"ltr"><div><div dir=3D"=
ltr">Met vriendelijke groet,<div><br></div><div>Rick Huijzer</div><div><br>=
</div></div></div></div></div></div></div>

--00000000000043c87605e8b7b4fd--




Acknowledgement sent to Rick Huijzer <ikbenrickhuyzer@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#57832; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 15 Sep 2022 14:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.